View Issue Details

IDProjectCategoryView StatusLast Update
0004618GNUnetbuild processpublic2018-06-07 00:24
Reporterng0Assigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004618: Optional dependencies are not clear
DescriptionI identified these dependencies and optional dependencies in the time I packaged gnunet{-gtk} for Gentoo and Guix. I'd like to know if this list is still accurate, and would like to get input on it.
I'll update the appropriate files which point out dependencies of gnunet{-gtk} when this bug is solved.

;; gnunet
      (inputs
       `(("glpk" ,glpk)
         ("gnurl" ,gnurl)
         ("gstreamer" ,gstreamer)
         ("gst-plugins-base" ,gst-plugins-base)
         ("gnutls" ,gnutls)
         ("libextractor" ,libextractor)
         ("libgcrypt" ,libgcrypt)
         ("libidn" ,libidn)
         ("libmicrohttpd" ,libmicrohttpd)
         ("libltdl" ,libltdl)
         ("libunistring" ,libunistring)
         ("openssl" ,openssl)
         ("opus" ,opus)
         ("pulseaudio" ,pulseaudio)
         ("sqlite" ,sqlite)
         ("zlib" ,zlib)
         ("perl" ,perl)
         ("python" ,python-2) ; tests and gnunet-qr
         ("jansson" ,jansson)
         ("ncurses" ,ncurses)
         ("nss" ,nss)
         ("gmp" ,gmp)
         ("bluez" ,bluez) ; for optional bluetooth feature
         ;;("udpcast" ,udpcast) ; optional. What's this needed for? The projects own description is not clear
         ("glib" ,glib)
         ;; ("texlive-minimal" ,texlive-minimal) ; optional. What's texlive needed for? Generating documentation?
         ("libogg" ,libogg)))
      (native-inputs
       `(("pkg-config" ,pkg-config)
         ("autoconf" ,autoconf)
         ("automake" ,automake)
         ("gnu-gettext" ,gnu-gettext)
         ("libtool" ,libtool)))

;; gnunet-gtk

            (inputs
             `(("gnunet" ,gnunet)
               ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
               ("gnutls" ,gnutls)
               ("libgcrypt" ,libgcrypt)
               ("gtk+" ,gtk+)
               ("libextractor" ,libextractor)
               ("glade3" ,glade3)
               ("qrencode" ,qrencode)))
            (native-inputs
             `(("pkg-config" ,pkg-config)
               ("libglade" ,libglade)
               ("autoconf" ,autoconf)
               ("gnu-gettext" ,gnu-gettext)
               ("automake" ,automake)
               ("libtool" ,libtool)))

Furthermore there is for gnunet:
mysql,
postgres,
sqlite,
gnutls with dane option,
libXt,
libXext,
libX11,
libXrandr,
zbar with python option,
bluez,
libunique <- what exactly is it needed for? Are there plans to move away from it, as it is no longer maintained.

for gnunet-gtk:
qrencode,
gdk-pixbuf
TagsNo tags attached.

Activities

Christian Grothoff

2016-08-21 16:29

manager   ~0011050

libunique is used so that if you start gnunet-gtk applications twice, you still only get one window. This makes sense in combination with 'gnunet-uri', which may launch a possibly already running GUI to process a particular URI. In this case, libunique is used to detect that the GUI is already up, and pass the URI to the running process.

There _may_ be a more modern alternative in Gtk3 these days, but for now we need libunique for this functionality.

Christian Grothoff

2016-08-21 16:30

manager   ~0011051

udpcast: no idea, very surprising. Where did you get this dependency from?

Christian Grothoff

2016-08-21 16:31

manager   ~0011052

tex: gnunet-bcd can be used to automatically generate a PDF business card with the QR code of your GNS zone on it. For this, we use pdflatex.

ng0

2016-08-22 12:14

developer   ~0011057

Last edited: 2016-08-22 12:38

View 2 revisions

Thanks for the replies.

udpcast: I'm not sure.. It must've been in one of the Makefiles or a suggestion by pkg-config, but in recent head grep can't find it in no file in svn/ so I assume this to be removed if it ever existed.

Thanks for the note on libunique, it makes sense. Now I have a permanent reason to point to for the Guix package. I packaged libunique some days ago just for this reason.

Now most of the optional dependencies are still --with-experimental, or is this no longer true? Will -conversation and other features be moved into stable with soon upcoming release(s)?

Christian Grothoff

2016-08-22 16:56

manager   ~0011059

Eh, I don't think _any_ of the 'experimental' subsystems are creating the "optional" dependencies. And in particular, conversation is already non-experimental.

Christian Grothoff

2016-08-22 17:49

manager   ~0011062

Clear enough now?

ng0

2016-08-23 18:15

developer   ~0011063

> Eh, I don't think _any_ of the 'experimental' subsystems are creating the "optional" dependencies. And in particular, conversation is already non-experimental.

Is it documented which subsystems are experimental? Thanks for informing me about conversation, I did not know this and already adjusted some of the packages.

> Clear enough now?

Yes, thanks.

Issue History

Date Modified Username Field Change
2016-08-18 00:25 ng0 New Issue
2016-08-21 16:29 Christian Grothoff Note Added: 0011050
2016-08-21 16:30 Christian Grothoff Note Added: 0011051
2016-08-21 16:31 Christian Grothoff Note Added: 0011052
2016-08-22 12:14 ng0 Note Added: 0011057
2016-08-22 12:38 ng0 Note Edited: 0011057 View Revisions
2016-08-22 16:56 Christian Grothoff Note Added: 0011059
2016-08-22 17:49 Christian Grothoff Note Added: 0011062
2016-08-22 17:49 Christian Grothoff Assigned To => Christian Grothoff
2016-08-22 17:49 Christian Grothoff Status new => feedback
2016-08-23 18:15 ng0 Note Added: 0011063
2016-08-23 18:15 ng0 Status feedback => assigned
2016-09-19 15:37 Christian Grothoff Status assigned => resolved
2016-09-19 15:37 Christian Grothoff Fixed in Version => 0.11.0pre66
2016-09-19 15:37 Christian Grothoff Resolution open => fixed
2016-09-19 15:37 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed